
{*****************************************************************************
 * Name           : KNGglRtn                                                 *
 * Author         : Lesage Stefaan                                           *
 * Last Revision  : 29/06/1999                                               *
 * Description    : This unit should contain some global functions, procedu- *
 *                  res and Routines.                                        *
 * History        :                                                          *
 *                                                                           *
 * Date       By              Description                                    *
 * ----       --              -----------                                    *
 * 29/06/1999 Lesage Stefaan  Initial creation of the Unit.                  *
 *****************************************************************************}

unit KNGConst;

{$I KNG.INC}

interface

const
  { Version Information String for KNGLib }
  KNGLIB_VERSION   : string = '1.0.0.10';
  KNGLIB_COPYRIGHT : string = ' 1999 by Stefaan Lesage, Belgium';

  { Component Pallettes }
  KNGStdPal : string = 'KNG Standard';
  KNGDBPal  : string = 'KNG DB Aware';

resourcestring
  { Default String Properties }
  rsPropAbout = '(About ...)';

  { DBNavigator Resource Strings }

  {$IFDEF GERMAN}
  sMoveByTooSmall    = 'MoveBy Menge mu mindestens 2 sein !';
  sFirstRecord       = 'Erster Datensatz';
  sPriorSet          = 'Sprung zurck';
  sPriorRecord       = 'Vorheriger Datensatz';
  sNextRecord        = 'Nchster Datensatz';
  sNextSet           = 'Sprung vorwrts';
  sLastRecord        = 'Letzter Datensatz';
  sInsertRecord      = 'Neuer Datensatz';
  sDeleteRecord      = 'Datensatz lschen';
  sEditRecord        = 'Bearbeiten';
  sPostEdit          = 'Speichern';
  sCancelEdit        = 'Abbrechen';
  sRefreshRecord     = 'Neu laden';
  sCopyRecord        = 'Datensatz kopieren';
  sSetBookmark       = 'Merker setzen';
  sGotoBookmark      = 'Gehe zu Merker';
  sClearBookmark     = 'Lsche Marke';
  sEnterFilter       = 'Filter eingeben';
  sApplyFilter       = 'Filter anwenden';
  sCancelFilter      = 'Filter entfernen';
  sPrintList         = 'Liste drucken';
  sPrintRecord       = 'Datensatz drucken';
  sConfirmCancelQuestion = 'Mchten Sie die nderungen am Datensatz verwerfen ?';
  sConfirmDeleteQuestion = 'Mchten Sie die Datenstze lschen ?';
  sErrWeekdayOutOfRange  = 'Der Tag muss innerhalb des Wertebereichs von 1 bis 7 liegen';
  { Dataset State Strings }
  sBrowseMode            = 'Modus Blttern';
  sBrowseModeFiltered    = 'Modus Blttern (mit Selektion)';
  sEditMode              = 'Modus Bearbeiten';
  sEditModeFiltered      = 'Modus Bearbeiten (mit Selektion)';
  sInactiveMode          = 'Inaktiv';
  sInsertMode            = 'Modus Einfgen';
  sInsertModeFiltered    = 'Modus Einfgen (mit Selektion)';
  { Database Constants }
  sDataSourceFixed       = 'Operation not allowed in a DBCtrlGrid';
  sCircularDataLink      = 'Circular datalinks are not allowed';
  sFieldNotFound         = 'The field is not found';
  SPropDefByLookup       = 'Property already defined by lookup field';
  {$ENDIF}

  {$IFDEF DUTCH}
  sMoveByTooSmall    = 'MoveBy moet minstens 2 zijn !';
  sFirstRecord       = 'Eerste Record';
  sPriorSet          = 'Vorige Set';
  sPriorRecord       = 'Vorige Record';
  sNextRecord        = 'Volgende Record';
  sNextSet           = 'Volgende Set';
  sLastRecord        = 'Laatste Record';
  sInsertRecord      = 'Record Invoegen';
  sDeleteRecord      = 'Record Wissen';
  sEditRecord        = 'Record Wijzigen';
  sPostEdit          = 'Wijzigingen Opslaan';
  sCancelEdit        = 'Wijzigingen Annuleren';
  sRefreshRecord     = 'Gegevens opnieuw Ophalen';
  sCopyRecord        = 'Record Copiren';
  sSetBookmark       = 'Bladwijzer Plaatsen';
  sGotoBookmark      = 'Naar Bladwijzer Gaan';
  sClearBookmark     = 'Bladwijzer Verwijderen';
  sEnterFilter       = 'Filter Criteria Invoeren';
  sApplyFilter       = 'Filter Toepassen';
  sCancelFilter      = 'Filter Annuleren';
  sPrintList         = 'List Afdrukken';
  sPrintRecord       = 'Record Afdrukken';
  sConfirmCancelQuestion = 'Weet u zeker dat u de wijzigingen aan het record wilt annuleren ?';
  sConfirmDeleteQuestion = 'Weet u zeker dat u de Record(s) wilt wissen ?';
  sErrWeekdayOutOfRange = 'De weekdag moet een waarde tussen 1 en 7 zijn';
  { Dataset State Strings }
  sBrowseMode            = 'Bladeren Mode';
  sBrowseModeFiltered    = 'Bladeren Mode (Gefilterd)';
  sEditMode              = 'Wijzig Mode';
  sEditModeFiltered      = 'Wijzig Mode (Gefilterd)';
  sInactiveMode          = 'Niet Actief';
  sInsertMode            = 'Invoeg Mode';
  sInsertModeFiltered    = 'Invoeg Mode (Gefilterd)';
  { Database Constants }
  sDataSourceFixed       = 'Operation not allowed in a DBCtrlGrid';
  sCircularDataLink      = 'Circular datalinks are not allowed';
  sFieldNotFound         = 'The field is not found';
  SPropDefByLookup       = 'Property already defined by lookup field';
  {$ENDIF}

  {$IFDEF SLOVAK}
  sMoveByTooSmall    = 'Dka strnky mus by najmenej 2 riadky !';
  sFirstRecord       = 'Prechod na prv zznam';
  sPriorSet          = 'Nasledujca strnka';
  sPriorRecord       = 'Posun na predol zznam';
  sNextRecord        = 'Posun na nasledujci zznam';
  sNextSet           = 'Predol strnka';
  sLastRecord        = 'Prechod na posledn zznam';
  sInsertRecord      = 'Vloenie novho zznamu';
  sDeleteRecord      = 'Zruenie aktulneho zznamu';
  sEditRecord        = 'Editcia aktulneho zznamu';
  sPostEdit          = 'Zpis novch alebo zmenench dt';
  sCancelEdit        = 'Stornovanie zmien v dtach';
  sRefreshRecord     = 'Obnovenie stavu dt';
  sCopyRecord        = 'Duplikovanie aktulneho zznamu';
  sSetBookmark       = 'Nastavenie zloky v sbore dt';
  sGotoBookmark      = 'Prechod na nastaven zloku v sbore dt';
  sClearBookmark     = 'Zruenie zloky';
  sEnterFilter       = 'Zadanie podmienky filtrovania';
  sApplyFilter       = 'Zapnutie filtrovania sboru dt';
  sCancelFilter      = 'Vypnutie filtrovania sboru dt';
  sPrintList         = 'Tlaov zostavy';
  sPrintRecord       = 'Tla zznamu (dokumentu)';
  sConfirmCancelQuestion = 'Naozaj chcete stornova zmeny ?';
  sConfirmDeleteQuestion = 'Naozaj chcete zrui zznam ?';
  sErrWeekdayOutOfRange  = 'De v tdni mus by medzi 1 a 7';
  { Dataset State Strings }
  sBrowseMode            = 'prezeranie';
  sBrowseModeFiltered    = 'prezeranie (filter !)';
  sEditMode              = 'editcia';
  sEditModeFiltered      = 'editcia (filter !)';
  sInactiveMode          = 'neaktvny';
  sInsertMode            = 'vkladanie';
  sInsertModeFiltered    = 'vkladanie (filter !)';
  { Database Constants }
  sDataSourceFixed       = 'Operation not allowed in a DBCtrlGrid';
  sCircularDataLink      = 'Circular datalinks are not allowed';
  sFieldNotFound         = 'The field is not found';
  SPropDefByLookup       = 'Property already defined by lookup field';
  {$ENDIF}

  {$IFDEF SPANISH}
sMoveByTooSmall = 'El paso deberia ser al menos 2 !';
sFirstRecord = 'Primer Registro';
sPriorSet = 'Primer Conjunto';
sPriorRecord = 'Registro Anterior';
sNextRecord = 'Siguiente Registro';
sNextSet = 'Siguiente Conjunto';
sLastRecord = 'Ultimo Registro';
sInsertRecord = 'Insertar Registro';
sDeleteRecord = 'Borrar Registro';
sEditRecord = 'Modificar Registro';
sPostEdit = 'Grabar Cambios';
sCancelEdit = 'Cancelar Cambios';
sRefreshRecord = 'Actualizar Datos';
sCopyRecord = 'Copiar Registro';
sSetBookmark = 'Poner Marca';
sGotoBookmark = 'Ir a la Marca';
sClearBookmark = 'Borrar Marca';
sEnterFilter = 'Introducir Criterio de Filtro';
sApplyFilter = 'Aplicar Filtro';
sCancelFilter = 'Cancelar Filtro';
sPrintList = 'Imprimir Lista';
sPrintRecord = 'Imprimir Registro';
sConfirmCancelQuestion = 'Esta seguro de que quiere Cancelar los cambios?';
sConfirmDeleteQuestion = 'Esta seguro de que quiere Borrar el/los Registro/s?';
sErrWeekdayOutOfRange = 'El dia de la semana debe ser un valor entre 1 y 7';
{ Dataset State Strings }
sBrowseMode = 'Modo Visualizacion';
sBrowseModeFiltered = 'Modo Visualizacion (Filtrado)';
sEditMode = 'Modo Edicion';
sEditModeFiltered = 'Modo Edicion (Filtrado)';
sInactiveMode = 'Inactivo';
sInsertMode = 'Modo Insercion';
sInsertModeFiltered = 'Modo Insercion (Filtrado)';
  { Database Constants }
  sDataSourceFixed       = 'Operation not allowed in a DBCtrlGrid';
  sCircularDataLink      = 'Circular datalinks are not allowed';
  sFieldNotFound         = 'The field is not found';
  SPropDefByLookup       = 'Property already defined by lookup field';
  {$ENDIF}

  {$IFDEF ENGLISH}
   sMoveByTooSmall    = 'MoveBy number should be at least 2 !';
   sFirstRecord       = 'First Record';
   sPriorSet          = 'Prior Set';
   sPriorRecord       = 'Prior Record';
   sNextRecord        = 'Next Record';
   sNextSet           = 'Next Set';
   sLastRecord        = 'Last Record';
   sInsertRecord      = 'Insert Record';
   sDeleteRecord      = 'Delete Record';
   sEditRecord        = 'Edit Record';
   sPostEdit          = 'Post Changes';
   sCancelEdit        = 'Cancel Changes';
   sRefreshRecord     = 'Refresh Data';
   sCopyRecord        = 'Copy Record';
   sSetBookmark       = 'Set Bookmark';
   sGotoBookmark      = 'Goto Bookmark';
   sClearBookmark     = 'Clear Bookmark';
   sEnterFilter       = 'Enter Filter Criteria';
   sApplyFilter       = 'Apply Filter';
   sCancelFilter      = 'Cancel Filter';
   sPrintList         = 'Print List';
   sPrintRecord       = 'Print Record';
   sConfirmCancelQuestion = 'Are you sure you want to cancel the Changes to the Record ?';
   sConfirmDeleteQuestion = 'Are you sure you want to Delete the Record(s) ?';
   sErrWeekdayOutOfRange = 'The week day should be a value between 1 and 7';
   { Dataset State Strings }
   sBrowseMode            = 'Browse Mode';
   sBrowseModeFiltered    = 'Browse Mode (Filtered)';
   sEditMode              = 'Edit Mode';
   sEditModeFiltered      = 'Edit Mode (Filtered)';
   sInactiveMode          = 'Inactive';
   sInsertMode            = 'Insert Mode';
   sInsertModeFiltered    = 'Insert Mode (Filtered)';
   { Database Constants }
   sDataSourceFixed       = 'Operation not allowed in a DBCtrlGrid';
   sCircularDataLink      = 'Circular datalinks are not allowed';
   sFieldNotFound         = 'The field is not found';
   SPropDefByLookup       = 'Property already defined by lookup field';
   {$ENDIF}


function KNGLIB_VERSIONNAME  : string;
function KNGLIB_REGISTRYPATH : string;

implementation

{*****************************************************************************
 * Name           : KNGLIB_VERSIONNAME                                       *
 * Author         : Lesage Stefaan                                           *
 * Last Revision  : 29/06/1999                                               *
 * Arguments      : None                                                     *
 * Return Values  : KNGLIB_VERSIONNAME : string                              *
 * Description    : This procedure will simply return the version number     *
 *                  stored in the KNGLIB_VERSION constant.  The function will*
 *                  check if Delphi 3 or 4 is being used and add the Delphi  *
 *                  version to the Result string.                            *
 * History        :                                                          *
 *                                                                           *
 * Date       By              Description                                    *
 * ----       --              -----------                                    *
 * 29/06/1999 Lesage Stefaan  Initial creation of the procedure.             *
 *****************************************************************************}

function KNGLIB_VERSIONNAME : string;
begin
  Result := KNGLIB_VERSION + ' ';
  {$IFDEF VER100}
  Result := Result + '(Delphi 3.0)';
  {$ENDIF}
  {$IFDEF VER120}
  Result := Result + '(Delphi 4.0)';
  {$ENDIF}
end;

{*****************************************************************************
 * Name           : KNGLIB_REGISTRYPATH                                      *
 * Author         : Lesage Stefaan                                           *
 * Last Revision  : 29/06/1999                                               *
 * Arguments      : None                                                     *
 * Return Values  : KNGLIB_REGISTRYPATH : string                             *
 * Description    : This function will return the Root Registry Path which   *
 *                  will be used by the KNGLib.                              *
 * History        :                                                          *
 *                                                                           *
 * Date       By              Description                                    *
 * ----       --              -----------                                    *
 * 29/06/1999 Lesage Stefaan  Initial creation of the procedure.             *
 *****************************************************************************}

function KNGLIB_REGISTRYPATH : string;
begin
  Result := 'SOFTWARE\KNGLib';
end;

end.
